### Hierarchy

- unknown
  - GetBalancesReply

## Index

### Constructors

- constructor

### Methods

- clearBalances
- getBalances
- hasBalances
- serializeBinary
- setBalances
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetBalancesReply(): GetBalancesReply

- Inherited from jspb.Message.constructor

  #### Returns GetBalancesReply

## Methods

### clearBalances

- clearBalances(): GetBalancesReply

- - Defined in src/protobuf/grpc_pb.d.ts:2949

  #### Returns GetBalancesReply

### getBalances

- getBalances(): undefined | BalancesInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2946

  #### Returns undefined | BalancesInfo

### hasBalances

- hasBalances(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2948

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2951

  #### Returns Uint8Array

### setBalances

- setBalances(value?: BalancesInfo ): GetBalancesReply

- - Defined in src/protobuf/grpc_pb.d.ts:2947

  #### Parameters

  - ##### Optional value: BalancesInfo

  #### Returns GetBalancesReply

### toObject

- toObject(includeInstance?: boolean): GetBalancesReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2952

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetBalancesReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetBalancesReply

- - Defined in src/protobuf/grpc_pb.d.ts:2955

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetBalancesReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetBalancesReply, reader: BinaryReader): GetBalancesReply

- - Defined in src/protobuf/grpc_pb.d.ts:2956

  #### Parameters

  - ##### message: GetBalancesReply

  - ##### reader: BinaryReader

  #### Returns GetBalancesReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetBalancesReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2954

  #### Parameters

  - ##### message: GetBalancesReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetBalancesReply ): GetBalancesReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2953

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetBalancesReply

  #### Returns GetBalancesReply . AsObject

Generated using TypeDoc